profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyScripts dans le générateur de modÚlesProject ScaffoldingBibliothÚque multimédia

Sans interface

Démarrage rapideSplit Screen JSON Component Builder with LLMComponent Zod Pull

API REST

REST API OverviewgetConnect your websitegetGET /routesgetGET /routegetGET /blocksgetGET /blocks/with-cel-cachegetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

POST /csv

Importez des lignes CSV ou de tableur JSON sous forme de documents brouillon, un par ligne.

Importez les lignes CSV (ou les lignes d'un tableur JSON) sous forme de documents brouillon, un document par ligne.

Auth. : JWT Bearer (WorkOS).

ParamĂštres de requĂȘte

ParamĂštreTypeObligatoireRemarques
website_iduuidouiSite web cible. Remarque : snake_case ici, contrairement Ă  la plupart des points de terminaison.

Corps de la requĂȘte

Deux types de contenu sont acceptĂ©s, dĂ©terminĂ©s par l'en-tĂȘte Content-Type.

multipart/form-data — champs :

  • schema_name (texte, obligatoire)
  • file (octets CSV bruts, obligatoire). La premiĂšre ligne correspond aux en-tĂȘtes ; chaque cellule devient une valeur de chaĂźne JSON nettoyĂ©e.

application/json (10 Mio max) :

{
  "schema_name": "publication",
  "spreadsheet_data": [ { "title": "Ligne 1" }, { "title": "Ligne 2" } ]
}
  • schema_name (chaĂźne, obligatoire)
  • spreadsheet_data (tableau d'objets, obligatoire)

Réponse

{ "insérés": 2 }

Renvoie 201 Created. Chaque ligne devient un document brouillon ; le titre du document correspond Ă  la premiĂšre valeur de chaĂźne de la ligne.

Exemple — JSON

curl -X POST '{CMS_API_URL}/csv?website_id=<uuid>' \
  -H 'Authorization: Bearer <workos-jwt>' \
  -H 'Content-Type: application/json' \
  -d '{"schema_name":"publication","spreadsheet_data":[{"title":"Ligne 1"}]}'

Exemple — CSV multipartite

curl -X POST '{CMS_API_URL}/csv?website_id=<uuid>' \
  -H 'Authorization: Bearer <workos-jwt>' \
  -F 'schema_name=publication' \
  -F 'file=@donnees.csv'

Erreurs

  • 400 — erreurs d'analyse, schema_name/file manquants, spreadsheet_data non tableau, lignes non objets ou CSV vide
  • 401 — JWT manquant ou invalide
  • 500 — Ă©chec de l'insertion
Continue Reading
Previousâ€čGET /usageNextPATCH /csvâ€ș